Subject: Re: bug#74966: 31.0.50; Crash report (using igc on macOS)

From: Gerd Möllmann <[email-masked]>
Date: Fri, 20 Dec 2024 08:38:59 +0100

Gerd Möllmann <[email-masked]> writes:

> Gerd Möllmann <[email-masked]> writes:
>
>> I think I'll read the code a bit now.
>
> BTW, does C-h f x-file-dialog work on platforms != macOS?
> It aborts here for the same reason.
>
> And I'm asking myself now why the heck it lands in native_function_doc in
> the first place. Isn't x-file-dialog a C function everywhere?

Soory for being noisy, but on NS, it isn't a C function, but ns-win.el
has

(defun x-file-dialog (prompt dir &optional default-filename
                             mustmatch only-dir-p)
  "SKIP: real doc in xfns.c."
  (ns-read-file-name prompt dir mustmatch default-filename only-dir-p))

Does someone know where that kind doc string is handled? Looks to me
like it could have something to do with it.